<?php 

namespace App\Services; 

use App\Depository;

Class DepositoryService
{ 
    public function firstOrCreate(array $params, array $values = null){
        if (!$values) $values = $params;
        return Depository::query()->firstOrCreate($params, $values);
    }
}